const mongoose = require('mongoose')

const InstalledDeviceSchema = mongoose.Schema({
    deviceId: {
        type: String,
        ref: "Device"
    },
    IMEI:String,
    status: {
        type: Number,
        enum: [
            0, // Pending
            1, // Accepted
            2, // Rejected
        ],
        default: 0
    },
    registerDate: Date,
    installationDate: Date,
    userId: {
        type: String,
        ref: 'UserGPS'
    },
})

module.exports = mongoose.model('InstalledDevice', InstalledDeviceSchema)
